Skip to main content

Global flags

These flags are available on all commands:
FlagDescription
--help, -hView help
--token TOKENAPI token (overrides environment variable and config profile)
--base-url URLAPI base URL (overrides config profile)
--profile NAMEConfig profile to use
--compactNon-indented JSON output (useful for piping to jq)

omni config

Manage CLI profiles. These commands don’t require authentication.

omni config init

Interactively create a new configuration profile. Prompts for a profile name, API endpoint, and API key.
omni config init

omni config show

Display the current configuration. API keys are redacted in the output.
omni config show

omni config use

Switch the default profile.
omni config use <profile>

omni agent-help

Print a concise usage guide formatted for AI agents.
omni agent-help

API commands

View the current OpenAPI spec using the API Explorer in your instance.
Most of the commands in this section are auto-generated from the Omni OpenAPI spec. For the Omni CLI, this means:
  • API tags become command groups. For example, the documents API tag corresponds to the omni documents command group.
  • Path parameters become positional arguments, such as documentId in the following example:
    # API endpoint
    POST /api/documents/<documentId>/duplicate
    
    # CLI
    omni documents duplicate <documentid>
    
  • Query parameters become flags, such as userId in the following example:
    # API endpoint
    POST /api/documents/<documentId>/duplicate?userId=<userId>
    
    # CLI
    omni documents duplicate <documentid> --userid <userid>
    
  • Request bodies are passed via --body or stdin.
    omni documents duplicate <documentid> --userid <userid> --body '{"name": "Blob Sales"}'
    
Run omni <group> --help to see all commands in a group or omni <group> <command> --help for command-specific argument and flag details.

omni ai

AI-powered query generation, job management, and documentation search. See the AI API documentation for more information.
omni ai <command> 
CommandDescription
generate-queryGenerate and optionally execute a query from natural language
pick-topicPick the best topic for a prompt
search-omni-docsSearch Omni documentation
job-submitSubmit an AI job
job-statusGet AI job status
job-cancelCancel an AI job
job-resultGet AI job result
job-visualizationRender AI job visualization
# Answer a question about your data
omni ai generate-query --body '{"modelId":"MODEL_ID","prompt":"how many active users","executeQuery":true}'

# Search the Omni docs
omni ai search-omni-docs --body '{"query":"how do I..."}'

# View help for job-status command, including arguments and flag details
omni ai job-status --help

omni connections

Manage database connections, dbt configurations, schema refresh schedules, and connection environments.
omni connections <command>
CommandDescription
listList connections
createCreate a connection
updateUpdate a connection
dbt-getGet dbt configuration
dbt-updateUpdate dbt configuration
dbt-deleteDelete dbt configuration
dbt-environments-createCreate dbt environment
dbt-environments-updateUpdate dbt environment
schedules-listList schema refresh schedules
schedules-createCreate schema refresh schedule
schedules-getGet a schema refresh schedule
schedules-updateUpdate a schema refresh schedule
schedules-deleteDelete a schema refresh schedule
environments-listList connection environments
environments-createCreate connection environments
environments-updateUpdate a connection environment
environments-deleteDelete a connection environment
# View all connections
omni connections list

# Create a connection environment
omni connections environments-create --body '{"baseConnectionId": "<baseConnectionId>","environmentConnectionIds": "<environmentConnectionId>"}'

# View help for create command, including arguments and flag details
omni connections create --help

omni content

List content in your organization. See the Content API documentation for more information.
omni content list
CommandDescription
listList all content (dashboards, workbooks, folders)

omni dashboards

Download dashboards and manage dashboard filters.
omni dashboards <command>
CommandDescription
downloadInitiate a dashboard download
download-fileGet a download file
download-statusGet download job status
get-filtersGet dashboard filters
update-filtersUpdate dashboard filters
# Download dashboard
omni dashboards download <dashboardid>

# View help for update-filters command, including arguments and flag details
omni dashboards update-filters --help

omni documents

Create, manage, and configure documents, including permissions, drafts, labels, and favorites.
omni documents <command>
CommandDescription
listList documents
createCreate a document
getGet a document
updateRename a document
deleteDelete a document
get-queriesList document queries
moveMove a document
get-permissionsGet document permissions
update-permission-settingsUpdate document permission settings
add-permitsAdd document permits
update-permitsUpdate document permits
revoke-permitsRevoke document permits
create-draftCreate a document draft
discard-draftDiscard a document draft
duplicateDuplicate a document
add-favoriteAdd document to favorites
remove-favoriteRemove document from favorites
bulk-update-labelsBulk update document labels
add-labelAdd label to a document
remove-labelRemove label from a document
transfer-ownershipTransfer document ownership
access-listList document access principals
# List documents
omni documents list

# Rename a document
omni documents update <document-id> --name "New Blob Sales"

# View help for transfer-ownership command, including arguments and flag details
omni documents transfer-ownership --help

omni embed

Generate SSO sessions for embedded Omni instances.
omni embed sso-generate-session
CommandDescription
sso-generate-sessionGenerate an embedded SSO session

omni folders

Manage folders and folder permissions.
CommandDescription
listList folders
createCreate a folder
deleteDelete a folder
updateUpdate a folder
get-permissionsGet folder permissions
add-permissionsAdd folder permissions
update-permissionsUpdate folder permissions
revoke-permissionsRevoke folder permissions
# List folders
omni folders list

# Create a folder
omni folders create --body '{"name":"Blob Sales"}'

# View help for revoke-permissions command, including arguments and flag details
omni folders revoke-permissions --help

omni labels

Create and manage content labels.
omni labels <command>
CommandDescription
listList all labels
createCreate a label
getGet a label by name
updateUpdate a label
deleteDelete a label
# Create a label
omni labels create --body '{"name":"important","color":"#0366d6"}'

# Get a label by name
omni labels get <name>

# View help for delete command, including arguments and flag details
omni labels delete --help

omni models

Manage models, views, fields, topics, branches, git configuration, and YAML. See the Model API documentation for more information.
omni models <command>
CommandDescription
listList models
createCreate a model
create-branchCreate a branch of a model
get-viewsGet model views
update-viewUpdate a view
delete-viewDelete a view
create-fieldCreate a field
update-fieldUpdate a field
delete-fieldDelete a field
list-topicsList topics
get-topicGet a topic
update-topicUpdate a topic
delete-topicDelete a topic
refreshRefresh model schema
validateValidate a model
migrateMigrate a model
delete-branchDelete a branch
branch-dbtSet branch dbt environment
merge-branchMerge a branch
cache-resetReset cache for policy
git-getGet git configuration
git-createCreate git configuration
git-updateUpdate git configuration
git-deleteDelete git configuration
git-syncSync model with git
content-validator-getValidate content references
content-validator-replaceReplace content references
yaml-getGet model YAML
yaml-createUpdate model YAML
yaml-deleteDelete a model YAML file
# List models (including IDs)
omni models list --compact

# Create a branch of a model
omni models create-branch <model-id> --name "add-new-columns"

# View help for yaml-create command, including arguments and flag details
omni models yaml-create --help

omni query

Run and monitor query execution. See the Query API documentation for more information.
omni query <command>
CommandDescription
runExecute a semantic query
waitWait for query jobs to complete
# Run a semantic query
omni query run --body '{"modelId":"MODEL_ID","query":{"fields":["view_name/field_name"],"limit":100}}'

# View help for wait command, including arguments and flag details
omni query wait --help

omni scim

SCIM user and group provisioning, including embed users. See the Users API and User groups API documentation for more information.
omni scim <command>
CommandDescription
users-listList SCIM users
users-createCreate a SCIM user
users-getGet a SCIM user
users-replaceReplace a SCIM user
users-updateUpdate a SCIM user
users-deleteDelete a SCIM user
embed-users-listList embed users
embed-users-getGet an embed user
embed-users-deleteDelete an embed user
groups-listList SCIM groups
groups-createCreate a SCIM group
groups-getGet a SCIM group
groups-replaceReplace a SCIM group
groups-updateUpdate a SCIM group
groups-deleteDelete a SCIM group
# List maximum of 10 groups
omni scim groups-list --count "10"

# View help for users-create command, including arguments and flag details
omni scim users-create --help

omni schedules

Manage delivery schedules and recipients.
omni schedules <command>
CommandDescription
listList schedules
createCreate a schedule
getGet a schedule
updateUpdate a schedule
deleteDelete a schedule
recipients-getGet schedule recipients
add-recipientsAdd schedule recipients
remove-recipientsRemove schedule recipients
pausePause a schedule
resumeResume a schedule
triggerTrigger a schedule
transfer-ownershipTransfer schedule ownership
# Pause a schedule
omni schedules pause <schedule-id>

# View help for transfer-ownership command, including arguments and flag details
omni schedules transfer-ownership --help

omni unstable

Preview commands that may change without notice.
omni unstable <command>
CommandDescription
documents-exportExport a document
documents-importImport a document
# View help for documents-export command, including arguments and flag details
omni unstable documents-export --help

omni uploads

Manage CSV and Excel file uploads. See the Uploads API documentation for more information.
omni uploads <command>
CommandDescription
listList uploads
createUpload a CSV file
deleteDelete an upload
# List uploads with 'country' in file name
omni uploads list --searchterm "country"

# View help for create command, including arguments and flag details
omni uploads create --help

omni user-attributes

View user attribute definitions. See the User attributes API documentation for more information.
omni user-attributes list
CommandDescription
listList all user attribute definitions

omni users

Manage user and group model roles, and email-only users.
omni users <command>
CommandDescription
get-model-rolesGet user model roles
assign-model-roleAssign a model role to a user
list-email-onlyList email-only users
create-email-onlyCreate or update an email-only user
create-email-only-bulkCreate email-only users in bulk
groups-get-model-rolesGet user group model roles
groups-assign-model-roleAssign a model role to a user group
# Create an email-only user
omni users create-email-only --body '{"email":"blob.ross@blobsrus.com"}'

# View help for groups-assign-model-role command, including arguments and flag details
omni users groups-assign-model-role --help